> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all appointments



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/appointments
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/appointments:
    get:
      tags:
        - Appointment
      summary: Get all appointments
      operationId: appointment.index
      parameters:
        - name: search
          in: query
          description: The search query.
          schema:
            type:
              - string
              - 'null'
            maxLength: 255
        - name: per_page
          in: query
          description: The number of items per page.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
            maximum: 100
        - name: page
          in: query
          description: The page number.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
        - name: sort_by
          in: query
          description: The field to sort by.
          schema:
            type:
              - string
              - 'null'
            enum:
              - scheduled_at
              - status
              - created_at
              - updated_at
        - name: sort_order
          in: query
          description: The sort direction (asc or desc).
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
        - name: status
          in: query
          description: Filter by appointment status.
          schema:
            type:
              - string
              - 'null'
            enum:
              - pending
              - approved
              - cancelled
              - rejected
              - completed
              - no_show
        - name: relation_type
          in: query
          description: Filter by appointment relation type.
          schema:
            type:
              - string
              - 'null'
            enum:
              - parent
              - child
        - name: customer_id
          in: query
          description: Filter by customer.
          schema:
            type:
              - integer
              - 'null'
        - name: user_id
          in: query
          description: Filter by assigned user.
          schema:
            type:
              - integer
              - 'null'
        - name: parent_appointment_id
          in: query
          description: Filter by parent appointment.
          schema:
            type:
              - integer
              - 'null'
        - name: from
          in: query
          description: Filter appointments from this date.
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: to
          in: query
          description: Filter appointments to this date.
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: trashed
          in: query
          description: Filter by trashed status.
          schema:
            type:
              - boolean
              - 'null'
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: Paginated set of `AppointmentResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AppointmentResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AppointmentResource:
      type: object
      properties:
        id:
          type: integer
        customer_id:
          type: integer
        room_id:
          type:
            - integer
            - 'null'
        parent_appointment_id:
          type:
            - integer
            - 'null'
        code:
          type: string
        relation_type:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentRelationType'
        description:
          type:
            - string
            - 'null'
        scheduled_at:
          type: string
          format: date-time
        status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentStatus'
        cancellation_reason:
          type:
            - string
            - 'null'
        creation_type:
          type: string
        customer:
          $ref: '#/components/schemas/CustomerResource'
        doctor:
          $ref: '#/components/schemas/RelatedUserResource'
        room:
          $ref: '#/components/schemas/RoomResource'
        parent_appointment:
          $ref: '#/components/schemas/AppointmentResource'
        child_appointments:
          type: array
          items:
            $ref: '#/components/schemas/AppointmentResource'
        treatments:
          type: array
          items:
            $ref: '#/components/schemas/TreatmentResource'
        assistants:
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/RelatedUserResource'
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - customer_id
        - room_id
        - parent_appointment_id
        - code
        - relation_type
        - description
        - scheduled_at
        - status
        - cancellation_reason
        - creation_type
        - assistants
        - created_at
        - updated_at
        - deleted_at
      title: AppointmentResource
    AppointmentRelationType:
      type: string
      enum:
        - parent
        - child
      title: AppointmentRelationType
    AppointmentStatus:
      type: string
      enum:
        - pending
        - approved
        - cancelled
        - rejected
        - completed
        - no_show
      title: AppointmentStatus
    CustomerResource:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        phone_number:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        date_of_birth:
          type:
            - string
            - 'null'
          format: date-time
        gender:
          anyOf:
            - $ref: '#/components/schemas/Gender'
            - type: 'null'
        country_name:
          type: string
        identity_number:
          type:
            - string
            - 'null'
        job:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        default_channel_id:
          type:
            - integer
            - 'null'
        avatar_url:
          type:
            - string
            - 'null'
        related_user:
          $ref: '#/components/schemas/RelatedUserResource'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagResource'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - first_name
        - last_name
        - phone_number
        - email
        - date_of_birth
        - gender
        - country_name
        - identity_number
        - job
        - address
        - default_channel_id
        - avatar_url
        - related_user
        - created_at
        - updated_at
        - deleted_at
      title: CustomerResource
    RelatedUserResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedUserResource
    RoomResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/RoomStatus'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - status
        - created_at
        - updated_at
        - deleted_at
      title: RoomResource
    TreatmentResource:
      type: object
      properties:
        id:
          type: integer
        group_id:
          type:
            - integer
            - 'null'
        name:
          type: string
        keywords:
          type: array
          items: {}
        price:
          type: string
        tax_rate:
          type: integer
        description:
          type:
            - string
            - 'null'
        session:
          type: integer
        is_active:
          type: string
        extra_info:
          type: object
        group:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            is_active:
              type: boolean
          required:
            - id
            - name
            - is_active
        users:
          type: array
          items:
            $ref: '#/components/schemas/RelatedUserResource'
        sessions:
          type: array
          items:
            $ref: '#/components/schemas/TreatmentSessionResource'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - group_id
        - name
        - keywords
        - price
        - tax_rate
        - description
        - session
        - is_active
        - extra_info
        - created_at
        - updated_at
        - deleted_at
      title: TreatmentResource
    Gender:
      type: string
      enum:
        - male
        - female
        - other
      title: Gender
    TagResource:
      type: object
      properties:
        id:
          type: integer
        tenant_id:
          type: integer
        name:
          type: string
        color:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - tenant_id
        - name
        - color
        - created_at
        - updated_at
        - deleted_at
      title: TagResource
    RoomStatus:
      type: string
      enum:
        - active
        - inactive
        - maintenance
      title: RoomStatus
    TreatmentSessionResource:
      type: object
      properties:
        id:
          type: integer
        session_order:
          type: integer
        session_type:
          $ref: '#/components/schemas/AppointmentType'
        next_gap_days:
          type:
            - integer
            - 'null'
        offset_days:
          type: integer
        products:
          type: array
          items:
            $ref: '#/components/schemas/TreatmentSessionProductResource'
      required:
        - id
        - session_order
        - session_type
        - next_gap_days
        - offset_days
      title: TreatmentSessionResource
    AppointmentType:
      type: string
      enum:
        - control
        - operation
        - treatment
        - consultation
        - follow_up
        - emergency
        - surgery
      title: AppointmentType
    TreatmentSessionProductResource:
      type: object
      properties:
        id:
          type: integer
        product_id:
          type: integer
        min_quantity:
          type:
            - number
            - 'null'
        product:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            full_name:
              type: string
            brand:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: integer
                name:
                  type: string
              required:
                - id
                - name
            unit_code:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                name:
                  type: string
                code:
                  type: string
              required:
                - id
                - name
                - code
          required:
            - id
            - name
            - full_name
            - brand
            - unit_code
      required:
        - id
        - product_id
        - min_quantity
      title: TreatmentSessionProductResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````